Bug 236516 - --skel option appears to not actually work
--skel option appears to not actually work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: shadow-utils (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Vrabec
David Lawrence
bzcl34nup
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-15 16:12 EDT by Jane Dogalt
Modified: 2009-01-09 02:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:06:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jane Dogalt 2007-04-15 16:12:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

very

Steps to Reproduce:
1. login as root
2. mkdir /tmp/testdir
3. adduser -k /tmp/testdir testuser
  
Actual results:

usage info, including the syntax which I used

Expected results:

that it would work

Additional info:

I tried about 8 combinations, using 'adduser', 'useradd', an = on the argument,
-k, --skel

Maybe I'm just the first person to have every tried to use this feature in a
long time.
Comment 1 Jane Dogalt 2007-04-15 16:13:58 EDT
Oh, and the URL in the specfile gives me a 403
Comment 2 Peter Vrabec 2007-04-19 04:54:34 EDT
man useradd
  -m, --create-home
  ...
  The -k option is only valid in conjunction with the -m option.
  ...

According to comment #1, this is my communication with upstream:
> Hi Tomasz,
>
> I just want to ask you, if shadow-utils upstream is still alive. I
> haven't seen much activity on mailing-list and URL's in README are not
> found anymore.

It's still alive but I have no time in next few days for completting move all 
resources to new loacation. It will be probably avalaible on shadow.webd.pl in 
next few days.

kloczek 
Comment 3 Jane Dogalt 2007-04-22 23:43:42 EDT
I'll admit I felt a bit stupid that I hadn't read that part of the manpage. 
Though I'm reopening this bug because the manpage is wrong when it says 

"... The
          -k option is only valid in conjunction with the -m option. The
          default is to not create the directory and to not copy any files."

On FC6, the default behaviour is to create the directory and copy the files from
/etc/skel, which is why I had no intuition that the -m option was needed for the
behavior I was aiming for.

Either the manpage or default behavior should be changed so the documentation is
valid.
Comment 4 Bug Zapper 2008-04-04 02:51:49 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Jane Dogalt 2008-04-15 21:00:00 EDT
I suspect nothing has changed, though I'm employed now, and don't have time to
pursue this.  At the very least, on F8 the manpage is a bit weird, in that the
-k option is only mentioned under the -m section, and there not in a completely
unambiguous way (i.e. nowhere is it explained how to specify SKEL_DIR).
Comment 6 Peter Vrabec 2008-05-05 10:18:51 EDT
Hi Jane,

could you try:
http://people.redhat.com/pvrabec/rpms/shadow-utils-4.1.1-2.src.rpm

I have changed man page to:
...
-m, --create-home
    The user´s home directory will be created if it does not exist. The
    default is to create the directory and to copy files from /etc/skel into
    it. This behavior is set by CREATE_HOME directive in /etc/login.defs by
    Red Hat.

-k, --skel SKEL_DIR
    The files contained in SKEL_DIR will be copied to the home directory
    if the -k option is used, otherwise the files contained in /etc/skel
    will be used instead. Any directories contained in SKEL_DIR or /etc/skel
    will be created in the user´s home directory as well.
...

-k doesn't require -m anymore, if it's OK for you, I'll commit it.
Comment 7 Bug Zapper 2008-11-26 02:13:55 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-01-09 02:06:04 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.